import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React, { Component } from 'react';
import style from "./index.module.scss";
var CosUpload = /*#__PURE__*/function (_Component) {
  _inheritsLoose(CosUpload, _Component);
  function CosUpload() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = CosUpload.prototype;
  _proto.render = function render() {
    return /*#__PURE__*/React.createElement("div", {
      className: style['cos-upload'] + " cos-upload"
    }, /*#__PURE__*/React.createElement("input", {
      type: "file",
      className: style['upload-file'],
      accept: ".jpg,.jpeg,.png,.gif"
    }), /*#__PURE__*/React.createElement("div", {
      className: style['upload-icon']
    }, /*#__PURE__*/React.createElement("span", {
      className: "xiatu-rich xt-gongjulan-xinzeng-chatu"
    })));
  };
  return CosUpload;
}(Component);
export { CosUpload as default };